Bug 663189 - SELinux is preventing /usr/bin/openconnect "setuid" access .
Summary: SELinux is preventing /usr/bin/openconnect "setuid" access .
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 14
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:7cb22c28860...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-14 22:17 UTC by Rob
Modified: 2010-12-21 23:59 UTC (History)
2 users (show)

Fixed In Version: selinux-policy-3.9.7-18.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-21 23:59:05 UTC


Attachments (Terms of Use)

Description Rob 2010-12-14 22:17:28 UTC
Summary:

SELinux is preventing /usr/bin/openconnect "setuid" access .

Detailed Description:

SELinux denied access requested by openconnect. It is not expected that this
access is required by openconnect and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:unconfined_r:vpnc_t:s0-s0:c0.c1023
Target Context                unconfined_u:unconfined_r:vpnc_t:s0-s0:c0.c1023
Target Objects                None [ capability ]
Source                        openconnect
Source Path                   /usr/bin/openconnect
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           openconnect-2.26-4.fc14
Target RPM Packages           
Policy RPM                    selinux-policy-3.9.7-12.fc14
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.35.6-48.fc14.x86_64 #1 SMP Fri
                              Oct 22 15:36:08 UTC 2010 x86_64 x86_64
Alert Count                   1
First Seen                    Fri 03 Dec 2010 22:18:49 GMT
Last Seen                     Fri 03 Dec 2010 22:18:49 GMT
Local ID                      fe2c18e5-8971-42dc-a0e1-610187a2879e
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1291414729.962:89): avc:  denied  { setuid } for  pid=4571 comm="openconnect" capability=7  scontext=unconfined_u:unconfined_r:vpnc_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:vpnc_t:s0-s0:c0.c1023 tclass=capability

node=(removed) type=SYSCALL msg=audit(1291414729.962:89): arch=c000003e syscall=105 success=no exit=-1 a0=1f4 a1=1f4 a2=3a0779d6a0 a3=7fff30a84270 items=0 ppid=4570 pid=4571 auid=500 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=pts1 ses=1 comm="openconnect" exe="/usr/bin/openconnect" subj=unconfined_u:unconfined_r:vpnc_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,openconnect,vpnc_t,vpnc_t,capability,setuid
audit2allow suggests:

#============= vpnc_t ==============
allow vpnc_t self:capability setuid;

Comment 1 Miroslav Grepl 2010-12-15 13:37:04 UTC
You can add it for now using

# grep vpnc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Fixed in selinux-policy-3.9.7-17.fc14

Comment 2 Fedora Update System 2010-12-16 15:54:16 UTC
selinux-policy-3.9.7-18.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/selinux-policy-3.9.7-18.fc14

Comment 3 Fedora Update System 2010-12-17 08:36:27 UTC
selinux-policy-3.9.7-18.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/selinux-policy-3.9.7-18.fc14

Comment 4 Fedora Update System 2010-12-21 23:58:21 UTC
selinux-policy-3.9.7-18.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.